Name:             netgen
Version:          1.4.78
Release:          %mkrel 2
Summary:          LVS netlist comparison tool for VLSI

License:          GPL+
Group:            Sciences/Engineering
URL:              http://opencircuitdesign.com/netgen

Source0:          http://opencircuitdesign.com/%{name}/archive/%{name}-%{version}.tar.xz
Source1:          %{name}.desktop
Source2:          %{name}.png

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:    tk-devel m4 libxt-devel desktop-file-utils
Requires:         coreutils gtk2

%description
Netgen is a tool for comparing netlists, a process known as LVS,
which stands for "Layout vs. Schematic". This is an important step
in the integrated circuit design flow, ensuring that the geometry
that has been laid out matches the expected circuit.

The greatest need for LVS is in large analog or mixed-signal circuits
that cannot be simulated in reasonable time. Even for small circuits,
LVS can be done much faster than simulation, and provides feedback
that makes it easier to find an error than does a simulation.

%prep
%setup -q -n %{name}-%{version}

#fix for 64 bit hardcoded scripts
%ifarch x86_64 ppc64
%{__sed} -i 's|libdir = @libdir@|libdir = /usr/lib64|' scripts/defs.mak.in
%endif

%{__sed} -i.libexec "s|\${LIBDIR}|%{_libexecdir}|" lib/Makefile
%{__sed} -i.cflags -e 's|CFLAGS=.*CFLAGS|:|' configure
%{__sed} -i 's|magic-hackers@csl.cornell.edu|http://bugzilla.redhat.com|' scripts/configure
%{__sed} -i 's|package require -exact|package require|' tcltk/tkcon.tcl

export WISH=%{_bindir}/wish

%build
%configure --with-tcl=%{_libdir}      --with-tk=%{_libdir} \
           --with-tcllibs=%{_libdir}  --with-tklibs=%{_libdir}

%{__make}


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libexecdir}/%{name}

%{__make} install                \
    DESTDIR=%{buildroot}         \
    INSTALL="%{__install} -c -p" \
    CP="%{__cp} -p"

chmod 755 %{buildroot}%{_libexecdir}/%{name}/ntk2adl.sh
chmod 755 %{buildroot}%{_libexecdir}/%{name}/spice

# applying timestamps
%{__cp} -p README VERSION TO_DO Changes Copying doc/netgen.doc ../..

#removing duplicates
%{__rm} -rf %{buildroot}%{_libdir}/%{name}/doc


# Ensure (on x86_64) that netgen isn't linked to tk.i386 if the latter is installed
sed -i '/NETGEN_WISH/aexport\ TCLIBPATH=%{_libdir}' %{buildroot}%{_bindir}/%{name}

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category "Electronics"               \
  %{SOURCE1}

install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc README VERSION TO_DO Changes Copying
# netgen.doc

%{_bindir}/*
%{_libdir}/%{name}/
%{_libexecdir}/netgen

%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Tue Aug 15 2017 bb2 <bb2> - 1.4.78-2pclos2017
- rebuild against updates

* Tue Jun 30 2015 gseaman <galen.seaman at comcast.net> 1.4.78-1gseaman2015
- 1.4.78

* Tue Jun 09 2015 gseaman <galen.seaman at comcast.net> 1.3.7-1gseaman2015
- build for PCLinuxOS from Fedora spec
